Subject: [alsa-devel] [PATCH] ASoC: fsl-ssi: fix SDMA starvation

From: [email-masked] (Timur Tabi)
Date: Wed, 13 Nov 2013 08:15:21 -0600

Markus Pargmann wrote:
> Is it necessary to keep TDMAE enabled the whole time? In the patch we
> enable it when playback starts and disable when it stops, so the
> communication between DMA and SSI shouldn't be disturbed.

I will have to test it to be sure, but there's a risk that the bit won't 
be set early enough.  I've seen weird problems like that on my board.